
package amarquee;


/* Version 1.48. J1 */
/* This class contains error- and status codes and flag definitions necessary to use the amarquee package. */

public class AMarquee { 
/* Different error types that can be returned to the client in QMessages when
the aMarqueeError(AMarqueeEvent e) is invoked */
public static final int  QERROR_UNKNOWN     = -1; /* Don't know what the error was. */
public static final int  QERROR_MALFORMED_KEY=-2; /* Keystring could not be parsed or "dir" does not exist */
public static final int  QERROR_NO_SERVER_MEM=-3; /* Server did not have enough mem available to complete request */
public static final int  QERROR_UNIMPLEMENTED=-6; /* Feature you requested does not exist yet */
public static final int  QERROR_NO_CLIENT_MEM=-7; /* Your computer didn't have enough memory available to complete an action */

/* These error types may be returned by QSession.getError() after a QSession
   allocation attempt fails. */
public static final int  QERROR_NO_TCP_STACK=   -20; /* TCP stack wasn't running */
public static final int  QERROR_HOSTNAME_LOOKUP=-21; /* Hostname lookup of server failed */
public static final int  QERROR_ABORTED=        -22; /* TCP thread got a control-C */
public static final int  QERROR_NO_SERVER=      -23; /* No AMarquee server at requested host/port */
public static final int  QERROR_NO_INETD=       -24; /* The program wasn't launched by inetd */
public static final int  QERROR_ACCESS_DENIED=  -25; /* The server wouldn't accept our connection */

/* Flags to use with QSession.Go() */
public static final int  QGOF_SYNC=  (1<<0);     /* Request notification via sync packet, i.e.
aMarqueePing(AMarqueeEvent e) when all has settled on the server side */
public static final int  QGOF_NOTIFY=(1<<1);     /* Request notification via
an aMarqueeSendDone(AMarqueeEvent e) message when the TCP thread has finished sending this transaction (new for v47) */

/* Flags representing special privileges; used with RequestPrivileges(), etc */
public static final int  QPRIV_KILLCLIENTS=       (1<<0); /* license to kill! */
public static final int  QPRIV_ADMIN=             (1<<1); /* Ability to set env vars, etc, on the server */
public static final int  QPRIV_GETSYSMESSAGES=    (1<<2); /* Ability to receive special sysadmin messages */
public static final int  QPRIV_SENDSYSMESSAGES=   (1<<3); /* Ability to send special sysadmin messages */  
public static final int  QPRIV_ALL=               ( 0x0F); /* all possible QPRIV_* bits */

// Private error codes. Don't worry about them! You will get back events instead!
protected static final int  QERROR_NO_ERROR     =  0; /* Everything is okay */
protected static final int  QERROR_UNPRIVILEGED= -5; /* You're not allowed to do that! */
protected static final int  QERROR_NO_CONNECTION=-4; /* The connection to the server went south */
protected static final int  QERROR_SYS_MESSAGE=  -8; /* This message is a "wall" text message from a server admin */
protected static final int  QERROR_SEND_DONE=    -9; /* This message is a "send done" notification from your client TCP thread (new for v47) */



}